-- License: Public Domain

--[[
local b = OrderHallCommandBar
b:SetScript("OnShow", b.Hide)
b:Hide()

-- initial call for other addons, re-register events
b:RequestCategoryInfo()
b:RegisterEvent("GARRISON_TALENT_COMPLETE")
b:RegisterEvent("GARRISON_TALENT_UPDATE")
b:RegisterUnitEvent("UNIT_PHASE", "player")

-- prevent buffs jumping up/down
UIParent:UnregisterEvent("UNIT_AURA")

]]


local hook = function()
	local frame = OrderHallCommandBar
	if frame then
		hook = function() end

		frame.Background:Hide()
		frame.WorldMapButton:Hide()
		OrderHallCommandBar:ClearAllPoints()
		OrderHallCommandBar:SetPoint("TOPLEFT", UIParent, "TOPLEFT", 0, 0)
		OrderHallCommandBar:SetPoint("TOPRIGHT", UIParent, "TOPRIGHT", -GetScreenWidth()/4, 0)
		frame.AreaName:ClearAllPoints()	
		frame.AreaName:SetPoint("LEFT", frame.CurrencyIcon, "RIGHT",  15, 0)
	end
end
hook()
 
hooksecurefunc("OrderHall_LoadUI", hook)



